unit Setup3Unit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TSetup3Form = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    ComboBox4: TComboBox;
    ComboBox5: TComboBox;
    ComboBox6: TComboBox;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    procedure StatusBarPanelGrayOut;
  end;

var
  Setup3Form: TSetup3Form;

implementation

uses kmBattGraphUnit;

{$R *.dfm}

procedure TSetup3Form.StatusBarPanelGrayOut();
begin
  if ComboBox1.ItemIndex = 0 then begin
    Label2.Enabled := False;
    ComboBox2.Enabled := False;
    Label3.Enabled := False;
    ComboBox3.Enabled := False;
    Label4.Enabled := False;
    ComboBox4.Enabled := False;
    Label5.Enabled := False;
    ComboBox5.Enabled := False;
    Label6.Enabled := False;
    ComboBox6.Enabled := False
  end else begin
    Label2.Enabled := True;
    ComboBox2.Enabled := True;
    if ComboBox2.ItemIndex = 0 then begin
      Label3.Enabled := False;
      ComboBox3.Enabled := False;
      Label4.Enabled := False;
      ComboBox4.Enabled := False;
      Label5.Enabled := False;
      ComboBox5.Enabled := False;
      Label6.Enabled := False;
      ComboBox6.Enabled := False
    end else begin
      Label3.Enabled := True;
      ComboBox3.Enabled := True;
      if ComboBox3.ItemIndex = 0 then begin
        Label4.Enabled := False;
        ComboBox4.Enabled := False;
        Label5.Enabled := False;
        ComboBox5.Enabled := False;
        Label6.Enabled := False;
        ComboBox6.Enabled := False
      end else begin
        Label4.Enabled := True;
        ComboBox4.Enabled := True;
        if ComboBox4.ItemIndex = 0 then begin
          Label5.Enabled := False;
          ComboBox5.Enabled := False;
          Label6.Enabled := False;
          ComboBox6.Enabled := False
        end else begin
          Label5.Enabled := True;
          ComboBox5.Enabled := True;
          if ComboBox5.ItemIndex = 0 then begin
            Label6.Enabled := False;
            ComboBox6.Enabled := False
          end else begin
            Label6.Enabled := True;
            ComboBox6.Enabled := True
          end
        end
      end
    end
  end
end;

procedure TSetup3Form.Button2Click(Sender: TObject);
begin
  Close
end;

procedure TSetup3Form.Button1Click(Sender: TObject);
begin
  kmBattGraphForm.statusBarPanelIndex[0] := ComboBox1.ItemIndex;
  kmBattGraphForm.statusBarPanelIndex[1] := ComboBox2.ItemIndex;
  kmBattGraphForm.statusBarPanelIndex[2] := ComboBox3.ItemIndex;
  kmBattGraphForm.statusBarPanelIndex[3] := ComboBox4.ItemIndex;
  kmBattGraphForm.statusBarPanelIndex[4] := ComboBox5.ItemIndex;
  kmBattGraphForm.statusBarPanelIndex[5] := ComboBox6.ItemIndex;
  kmBattGraphForm.movingAvgMaxNew := SpinEdit1.Value;
  Close
end;

procedure TSetup3Form.ComboBox1Change(Sender: TObject);
begin
  StatusBarPanelGrayOut;
end;

end.
