program kmBattGraph;

uses
  Forms,
  Windows,
  kmBattGraphUnit in 'kmBattGraphUnit.pas' {kmBattGraphForm},
  Setup1Unit in 'Setup1Unit.pas' {Setup1Form},
  km_Common in 'km_Common.pas',
  AboutUnit in 'AboutUnit.pas' {AboutForm},
  Setup2Unit in 'Setup2Unit.pas' {Setup2Form},
  DebugUnit in 'DebugUnit.pas' {DebugForm},
  Setup3Unit in 'Setup3Unit.pas' {Setup3Form},
  Setup4Unit in 'Setup4Unit.pas' {Setup4Form};

{$R *.res}

var
  Mutex: THandle;
  Handle: THandle;
  WM_MyMessage: Uint;

begin
  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, MutexName);
  if Mutex <> 0 then begin
    WM_MyMessage := RegisterWindowMessage(TaskTrayMyMessage);
    Handle := FindWindow(ClassName, WindowName);
    // dNsꂽCbZ[W𑗂ăEBhE\B
    SendMessage(Handle, WM_MyMessage, 0, 0);
    SetForegroundWindow(Handle);
    Exit
  end;
  CreateMutex(nil, False, MutexName);
  Application.Initialize;
  Application.CreateForm(TkmBattGraphForm, kmBattGraphForm);
  Application.CreateForm(TSetup1Form, Setup1Form);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TSetup2Form, Setup2Form);
  Application.CreateForm(TDebugForm, DebugForm);
  Application.CreateForm(TSetup3Form, Setup3Form);
  Application.CreateForm(TSetup4Form, Setup4Form);
  Application.Run;
end.
